# Tasks API . tasklists

## Instance Methods

Deletes the authenticated user's specified task list.

Returns the authenticated user's specified task list.

Creates a new task list and adds it to the authenticated user's task lists.

Returns all the authenticated user's task lists.

Retrieves the next page of results.

Updates the authenticated user's specified task list. This method supports patch semantics.

Updates the authenticated user's specified task list.

### Method Details

`delete(tasklist)`

    Deletes the authenticated user's specified task list.

    Args:
      tasklist: string, Task list identifier. (required)

`get(tasklist)`

    Returns the authenticated user's specified task list.

    Args:
      tasklist: string, Task list identifier. (required)

    Returns:
      An object of the form:

        {
          "kind": "tasks#taskList", # Type of the resource. This is always "tasks#taskList".
          "title": "A String", # Title of the task list.
          "updated": "A String", # Last modification time of the task list (as a RFC 3339 timestamp).
          "etag": "A String", # ETag of the resource.
          "id": "A String", # Task list identifier.
          "selfLink": "A String", # URL pointing to this task list. Used to retrieve, update, or delete this task list.
        }

`insert(body)`

    Creates a new task list and adds it to the authenticated user's task lists.

    Args:
      body: object, The request body. (required)
        The object takes the form of:

    {
        "kind": "tasks#taskList", # Type of the resource. This is always "tasks#taskList".
        "title": "A String", # Title of the task list.
        "updated": "A String", # Last modification time of the task list (as a RFC 3339 timestamp).
        "etag": "A String", # ETag of the resource.
        "id": "A String", # Task list identifier.
        "selfLink": "A String", # URL pointing to this task list. Used to retrieve, update, or delete this task list.
      }

    Returns:
      An object of the form:

        {
          "kind": "tasks#taskList", # Type of the resource. This is always "tasks#taskList".
          "title": "A String", # Title of the task list.
          "updated": "A String", # Last modification time of the task list (as a RFC 3339 timestamp).
          "etag": "A String", # ETag of the resource.
          "id": "A String", # Task list identifier.
          "selfLink": "A String", # URL pointing to this task list. Used to retrieve, update, or delete this task list.
        }

`list(pageToken=None, maxResults=None)`

    Returns all the authenticated user's task lists.

    Args:
      pageToken: string, Token specifying the result page to return. Optional.
      maxResults: string, Maximum number of task lists returned on one page. Optional. The default is 100.

    Returns:
      An object of the form:

        {
        "nextPageToken": "A String", # Token that can be used to request the next page of this result.
        "items": [ # Collection of task lists.
          {
              "kind": "tasks#taskList", # Type of the resource. This is always "tasks#taskList".
              "title": "A String", # Title of the task list.
              "updated": "A String", # Last modification time of the task list (as a RFC 3339 timestamp).
              "etag": "A String", # ETag of the resource.
              "id": "A String", # Task list identifier.
              "selfLink": "A String", # URL pointing to this task list. Used to retrieve, update, or delete this task list.
            },
        ],
        "kind": "tasks#taskLists", # Type of the resource. This is always "tasks#taskLists".
        "etag": "A String", # ETag of the resource.
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.

`patch(tasklist, body)`

    Updates the authenticated user's specified task list. This method supports patch semantics.

    Args:
      tasklist: string, Task list identifier. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "kind": "tasks#taskList", # Type of the resource. This is always "tasks#taskList".
        "title": "A String", # Title of the task list.
        "updated": "A String", # Last modification time of the task list (as a RFC 3339 timestamp).
        "etag": "A String", # ETag of the resource.
        "id": "A String", # Task list identifier.
        "selfLink": "A String", # URL pointing to this task list. Used to retrieve, update, or delete this task list.
      }

    Returns:
      An object of the form:

        {
          "kind": "tasks#taskList", # Type of the resource. This is always "tasks#taskList".
          "title": "A String", # Title of the task list.
          "updated": "A String", # Last modification time of the task list (as a RFC 3339 timestamp).
          "etag": "A String", # ETag of the resource.
          "id": "A String", # Task list identifier.
          "selfLink": "A String", # URL pointing to this task list. Used to retrieve, update, or delete this task list.
        }

`update(tasklist, body)`

    Updates the authenticated user's specified task list.

    Args:
      tasklist: string, Task list identifier. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "kind": "tasks#taskList", # Type of the resource. This is always "tasks#taskList".
        "title": "A String", # Title of the task list.
        "updated": "A String", # Last modification time of the task list (as a RFC 3339 timestamp).
        "etag": "A String", # ETag of the resource.
        "id": "A String", # Task list identifier.
        "selfLink": "A String", # URL pointing to this task list. Used to retrieve, update, or delete this task list.
      }

    Returns:
      An object of the form:

        {
          "kind": "tasks#taskList", # Type of the resource. This is always "tasks#taskList".
          "title": "A String", # Title of the task list.
          "updated": "A String", # Last modification time of the task list (as a RFC 3339 timestamp).
          "etag": "A String", # ETag of the resource.
          "id": "A String", # Task list identifier.
          "selfLink": "A String", # URL pointing to this task list. Used to retrieve, update, or delete this task list.
        }